<?php

namespace Drupal\monarch_bootstrap\Plugin\Preprocess;

/**
 * Pre-processes variables for 3 column layouts.
 *
 * @MonarchPreprocess("bootstrap_columns_3")
 */
class LayoutColumns3 extends PreprocessBase {

  /**
   * {@inheritdoc}
   */
  public function preprocess(array &$variables, $hook, array $info) {
    parent::preprocess($variables, $hook, $info);

    $settings = $variables['settings'];

    // Set breakpoint element.
    if (!empty($settings['breakpoint']) && $settings['breakpoint'] != 'all') {
      $variables['breakpoint'] = $settings['breakpoint'];
    }

    // Set layout element.
    $layouts = [
      'layout--33-33-33' => ['4', '4', '4'],
      'layout--25-50-25' => ['3', '6', '3'],
      'layout--50-25-25' => ['6', '3', '3'],
      'layout--25-25-50' => ['3', '3', '6'],
      'layout--16-66-16' => ['2', '8', '2'],
      'layout--66-16-16' => ['8', '2', '2'],
      'layout--16-16-66' => ['2', '2', '8'],
    ];

    if (!empty($settings['layout'])) {
      $variables['column_class'] = $layouts[$settings['layout']];
    }
  }

}
