# SCSS File Structure

## Bootstrap Dependency

Bootstrap is managed as a dependency of the subtheme and is not included
in the base monarch_bootstrap theme. This is required in order to allow for 
variable overrides.  

## Theming structure

SCSS files should be organized according to the module they belong to. For example, node styles belong in /scss/components/node/_node.scss.

When styles applie to more specific versions of a compnent, for example a specific content type, the styles should be placed in a separate source file. eg /sass/components/node/_node-article.scss. 

## Naming files

1. SCSS files made up of more than one word should use dashes instead of underscores between words in order to match template naming (except for leading underscores, see 2.).
2. SCSS files that are meant to be imported by another file should begin with an underscore to indicate that they are not compiled directly. For example /scss/components/node/_node.scss 

## Overrideing Bootstrap Varaibles

This subtheme template includes two helper scss files for overriding variables (overrides/_varaibles.scss) and mixins (overrides/_mixins.scss). Variables and mixins placed in these files will be used throught the bootstrap source code.

See https://getbootstrap.com/docs/5.1/customize/sass/#variable-defaults